plugins {
    alias(libs.plugins.android.application)
}

android {
    namespace = "com.example.automize_web_app"
    compileSdk = 34

    defaultConfig {
        applicationId = "com.example.automize_web_app"
        minSdk = 24
        targetSdk = 35
        versionCode = 1
        versionName = "1.0"

        testInstrumentationRunner = "androidx.test.runner.AndroidJUnitRunner"
    }

//    FOR SIGING APP BUNDLE
    signingConfigs {
        create("release") {
            storeFile = file("my-release-key.jks")
            storePassword = System.getenv("STORE_PASSWORD") ?: "defaultStorePassword"
            keyAlias = "my-alias"
            keyPassword = System.getenv("KEY_PASSWORD") ?: "defaultKeyPassword"
        }
    }


    buildTypes {
        release {
            isMinifyEnabled = false
            proguardFiles(getDefaultProguardFile("proguard-android-optimize.txt"), "proguard-rules.pro")
        }
//            FOR SIGING APP BUNDLE
        getByName("release") {
            signingConfig = signingConfigs.getByName("release")
        }
    }

    compileOptions {
        sourceCompatibility = JavaVersion.VERSION_1_8
        targetCompatibility = JavaVersion.VERSION_1_8
    }
}

dependencies {

    implementation(libs.appcompat)
    implementation(libs.material)
    implementation(libs.activity)
    implementation(libs.constraintlayout)
    testImplementation(libs.junit)
    androidTestImplementation(libs.ext.junit)
    androidTestImplementation(libs.espresso.core)
}