@echo off
rem ANDROID PROJECT PATH..
set PROJECT_PATH=C:/Users/Admin/AndroidStudioProjects/Automize_web_app

rem PATH TO STORE THE LOG FILE, TO SEE IS THERE IS ANY ERROR WHILE BUILDING APP.
set LOG_FILE=C:/xampp/htdocs/Automizing_Web_App_logo/build_script_log.txt

rem Set JAVA_HOME explicitly
set JAVA_HOME=C:\Program Files\Java\jdk-17

echo Build script started at %date% %time% > %LOG_FILE%

rem GO TO THE DIRECTORY WHERE PROJECT LOCATED 
cd %PROJECT_PATH%

rem Set PATH to include JAVA_HOME
set PATH=%JAVA_HOME%\bin;%PATH%
	

rem AFTER GOING TO THE PROJECT DIRECTORY, 'gradlew assembleDebug' - RUNNING BELOW COMMAND TO BUILD THE DEBUG VERSION OF OUR-APP, 
rem ALSO ABLE TO USE THE ' gradlew assembleRelease ' - TO BUILD THE RELEASE VERSION OF OUR-APP.


rem SIGNING KEY GENERATION..

rem Get passwords and key details from arguments
set STORE_PASSWORD=%1
set KEY_PASSWORD=%1
set CN=%2
set OU=%3
set O=%4
set L=%5
set ST=%6
set C=%7

rem Define key details
set DNAME="CN=%CN%, OU=%OU%, O=%O%, L=%L%, ST=%ST%, C=%C%"

echo Running Keytool to Generate A Signing Key... >> %LOG_FILE%
keytool -genkey -v -keystore app/my-release-key.jks -keyalg RSA -keysize 2048 -validity 10000 -alias my-alias -storepass %STORE_PASSWORD% -keypass %KEY_PASSWORD% -dname %DNAME% >> %LOG_FILE% 2>&1


rem Set passwords as environment variables
setx STORE_PASSWORD %STORE_PASSWORD%
setx KEY_PASSWORD %KEY_PASSWORD%


rem Run gradlew to assembleRelease for both .aab & .apk
echo Running gradlew assembleRelease and bundleRelease... >> %LOG_FILE%
gradlew assembleRelease bundleRelease >> %LOG_FILE% 2>&1